#include "../lib.h"

extern "C" {
void __pragma_loopbound(unsigned, unsigned) {}

void matrix1_init(void);
void matrix1_main(void);
int matrix1_return(void);

EXPORT("wasm_module") int wasm_module(void) {
  matrix1_init();

  fail_start_trace();
  matrix1_main();
  fail_stop_trace();

  int ret = matrix1_return();
  if (ret == 0) {
    PRINT("result correct.\n");
    fail_marker_positive();
  } else {
    PRINT("result incorrect.\n");
    fail_marker_negative();
  }
  return ret;
}
}
